Bug 223736 - devel/meson Update to 0.43.0
Summary: devel/meson Update to 0.43.0
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: freebsd-gnome (Nobody)
URL:
Keywords: patch
Depends on:
Blocks:
 
Reported: 2017-11-18 20:10 UTC by Dhananjay Balan
Modified: 2017-12-06 16:42 UTC (History)
1 user (show)

See Also:
bugzilla: maintainer-feedback? (gnome)


Attachments
svn diff, updates devel/meson to 0.43.0 (829 bytes, patch)
2017-11-18 20:10 UTC, Dhananjay Balan
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Dhananjay Balan 2017-11-18 20:10:17 UTC
Created attachment 188097 [details]
svn diff, updates devel/meson to  0.43.0

Updates to latest release of devel/meson

Meson still has problem detecting libboost on my computer (12-CURRENT), thought it might be related to https://github.com/mesonbuild/meson/issues/2239.

Found that ports one behind one release, so decided to update the version and check first.
Comment 1 Greg V 2017-11-22 10:25:27 UTC
+1, some projects already started requiring this version: https://github.com/swaywm/wlroots/blob/e6bf92cf02be8587e14d32f214467b09da40d9ff/meson.build#L5
Comment 2 commit-hook freebsd_committer 2017-12-06 16:41:55 UTC
A commit references this bug:

Author: swills
Date: Wed Dec  6 16:41:16 UTC 2017
New revision: 455659
URL: https://svnweb.freebsd.org/changeset/ports/455659

Log:
  devel/meson: Update to 0.43.0

  PR:		223736
  Submitted by:	Dhananjay Balan <mail@dbalan.in>

Changes:
  head/devel/meson/Makefile
  head/devel/meson/distinfo
Comment 3 Steve Wills freebsd_committer 2017-12-06 16:42:28 UTC
Committed, thanks!